Toggling Hidden Widget doesn't do anything anymore
Status: Open

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26442

Description

In attributes form, selecting a Hidden widget type to hide a field in the attribute table doesn't work anymore.

Also, if you already have the Hidden type, changing it to something else also doesn't do anything.

The changes don't propagate to the attribute table.

History

#1 - 2018-10-26 11:11 AM - Tudor Bărăscu

This is fixed for forms now. The hidden widget works for forms.

It doesn't work for attribute table though.

If a widget is hidden, shouldn't that be respected also in the attribute table and in the forms of the attribute table?

If not, we can close this.

Tested on QGIS 3.3 Master

#2 - 2018-11-26 03:45 PM - Alexandre Neto

I can confirm this, there's no way to permanently hide a column in the attribute table.

#3 - 2018-11-26 04:31 PM - Alexandre Neto

- Affected QGIS version changed from master to 3.5(master)

Still present on QGIS master 3.5.

I believe this was possible on 2.x, so it should not be closed.

#4 - 2018-11-26 04:32 PM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2018-12-17 09:52 AM - Matthias Kuhn

The attribute table visibility is managed via the organize columns dialog, available in the context menu when right clicking on the row headers.

#6 - 2018-12-17 08:07 PM - Tudor Bărăscu
@Matthias It is available but it's not permanent like the hidden widget was(should be). As soon as you close the attribute table the settings are gone.
